### Method

# Pango TabArray get_tabs

#### Declaration [src]

    void
    pango_tab_array_get_tabs (
      PangoTabArray* tab_array,
      PangoTabAlign** alignments,
      gint** locations
    )

#### Description [src]

If non-`NULL`, `alignments` and `locations` are filled with allocated arrays.

The arrays are of length `pango_tab_array_get_size()`. You must free the returned array.

#### Parameters

`alignments`

  Type: `PangoTabAlign`

  Location to store an array of tab stop alignments.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the data, and is responsible for freeing it.

`locations`

  Type: An array of `gint*`

  Location to store an array of tab positions.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the data, and is responsible for freeing it.